/* --------------------------------------------------------
 *  clock divider (1/32 fix)
 *	(clkdiv32.v)		designed by Shinya KIMURA
 * -------------------------------------------------------- */

module clkdiv32(xtal, clock);
    input        xtal;		// 1[MHz]
    output       clock;		// 1/32 [MHz] = 31.25[KHz]
    
    reg [4:0] clkdiv;		// clock divider
    
    always @(posedge xtal) begin
        clkdiv <= clkdiv + 1;
    end

    assign clock = clkdiv[4];	// 1/32 [MHz] = 31.25[KHz]
endmodule
