/* --------------------------------------------------------
 *  4-bit adder (ANSI C like port list)
 *	(adder4ANSI.v)		designed by Shinya KIMURA
 * -------------------------------------------------------- */

module adder4(
    input  wire [3:0] in_data1, in_data2,
    output wire [3:0] out_data,
    output wire       cy);

    wire   [4:0] rslt;

    assign rslt     = in_data1 + in_data2;
    assign cy       = rslt[4];
    assign out_data = rslt[3:0];

endmodule
