/* --  V~[V  ------------------------------
 *  4-bit adder
 *	(adder4sim.v)		designed by Shinya KIMURA
 * -------------------------------------------------------- */

module adder4sim();
    reg  [3:0] in1, in2;
    wire [3:0] rslt;
    wire       cy;

  // ݌vΏۂ̃CX^VF[V
    adder4 adder4(in1, in2, rslt, cy);

  // ϑM̎w
    initial begin
        $monitor("%t: %b + %b => %b, %b", $time, in1, in2, cy, rslt);
    end

  // eXgM
    initial begin
      #10
        in1 <= 4'b0000;		// eXg͐Mݒ
        in2 <= 4'b0000;
      #10			// oߐݒ
        in1 <= 4'b0110;
        in2 <= 4'b0011;
      #10
        in1 <= 4'b0111;
        in2 <= 4'b1100;
      #10
        in1 <= 4'b1111;
        in2 <= 4'b1111;
      #10
      $finish;			// V~[VI
    end
endmodule
