/* --------------------------------------------------------
 *  latch using always @()
 *	(latch_inv.v)		designed by Shinya KIMURA
 * -------------------------------------------------------- */

module latch_inv(a, b, out);
    input  a, b;
    output out;
    reg    out; 

    always @(a or b) begin
        if(a) begin
            out <= ~b;
        end 
    end

endmodule
