



`define LEFT  1'b1
`define RIGHT 1'b0

module barrel_rotate_prm_sim();
    reg  [15:0] data;
    reg  [ 3:0] sft_no;
    reg         l_r;
    wire [15:0] rslt;

    reg  [ 4:0] count;

  // ݌vΏۂ̃CX^VF[V
    barrel_rotate_prm #(4) BR(l_r, sft_no, data, rslt);

  // ϑM̎w
    initial begin
        $display("                      data");
        $display("                      |         shift no.");
        $display("                      |         |    left/right");
        $display("                TIME: |         |    |   result");
        $display("----------------------+---------+----+---+----------");
        $monitor("%t: %b  %b  %b   %b", $stime, data, sft_no, l_r, rslt);
    end

  // eXgM
    initial begin
        data   = 16'hF0F0;
        sft_no = 4'b0000;
        l_r    = `LEFT;
      #10
        for(count=5'b00000; count<5'b10000; count=count+1) begin
          #10
            sft_no = sft_no + 1;
        end
      #10
        data   = 16'hF0F0;
        sft_no = 4'b0000;
        l_r    = `RIGHT;
      #10
        for(count=5'b00000; count<5'b10000; count=count+1) begin
          #10
            sft_no = sft_no + 1;
        end
      #10

      $finish;			// V~[VI
    end
endmodule
