/* --  V~[V  ------------------------------
 *  register with 2 write strobe signals
 *	(reg_2wrsim.v)		designed by Shinya KIMURA
 * -------------------------------------------------------- */

module reg_2wrsim();
    reg  wr1, wr2, d;
    wire q;

  // ݌vΏۂ̃CX^VF[V
    reg_2wr reg_2wr (wr1, wr2, d, q);

  // ϑM̎w
    initial begin
        $monitor($time, ": wr1=%b, wr2=%b, d=%b, q=%b", wr1, wr2, d, q);
    end

  // eXgM
    initial begin
        wr1 <= 0; wr2 <= 0; d <= 0;
      #10
        wr1 <= 1; wr2 <= 0; d <= 0;
      #10
        wr1 <= 0; wr2 <= 0; d <= 1;
      #10
        wr1 <= 0; wr2 <= 1; d <= 1;
      #10
        wr1 <= 0; wr2 <= 0; d <= 0;
      #10
        wr1 <= 1; wr2 <= 0; d <= 0;
      #10
        $finish;
    end

endmodule
