/* --  V~[V  ------------------------------
 *  4-bit loadable counter
 *	(ldcount4sim.v)		designed by Shinya KIMURA
 * -------------------------------------------------------- */

module count4sim();
    reg        clock, ld;
    reg  [3:0] in_data;
    wire [3:0] count;

  // ݌vΏۂ̃CX^VF[V
    ldcount4 ldcount4(clock, ld, in_data, count);

  // ϑM̎w
    initial begin
        $display("                      clock");
        $display("                      |  ld");
        $display("                      |  |  in_data");
        $display("                TIME: |  |  |     counter output");
        $display("----------------------+--+--+-----+-------------");
        $monitor("%t: %b  %b  %b  %b", $time, clock, ld, in_data, count);
    end

  // eXgM
    initial begin
        clock   <= 1'b0;	// JEgM
        ld      <= 1'b0;	// ݒM
        in_data <= 4'b1010;	// ݒlݒ
      #10
        ld      <= 1'b1;	// ݒMANeBu
      #10
        clock   <= 1'b1;
      #10
        clock   <= 1'b0;
      #10
        ld      <= 1'b0;	// ݒMCANeBu
      #10			// oߐݒ
        clock   <= 1'b1;	// JEgMANeBu
      #10
        clock   <= 1'b0;	// JEgMCANeBu
      #10
        clock   <= 1'b1;
      #10
        clock   <= 1'b0;
      #10
        clock   <= 1'b1;
      #10
        clock   <= 1'b0;
      #10
        in_data <= 4'b0011;	// ݒlݒ
      #10
        ld      <= 1'b1;	// ݒMANeBu
      #10
        clock   <= 1'b1;
      #10
        clock   <= 1'b0;
      #10
        ld      <= 1'b0;	// ݒMCANeBu
      #10
        clock   <= 1'b1;
      #10
        clock   <= 1'b0;
      #10
        clock   <= 1'b1;
      #10
        clock   <= 1'b0;
      #10
        clock   <= 1'b1;
      #10
        clock   <= 1'b0;
      #10
        clock   <= 1'b1;
      #10
        clock   <= 1'b0;
      #10
      $finish;			// V~[VI
    end
endmodule