/* --  V~[V  ------------------------------
 *  4-bit up/down counter with async. reset
 *	(udc4sim.v)		designed by Shinya KIMURA
 * -------------------------------------------------------- */

module udcount4sim();
    reg        clk, up, dn, rst_N;
    wire [3:0] count_out;
    wire       cy, br;

  // ݌vΏۂ̃CX^VF[V
    udcount4 udcount4(clk, up, dn, rst_N, count_out, cy, br);

  // ϑM̎w
    initial begin
        $monitor("%t: clock=%b up=%b dn=%b rst_N=%b count=%b",
                  $time, clk, up, dn, rst_N, count_out);
    end

  // eXgM
    initial begin		// JEgNbNM
        clk <= 0;
    end

    always #10 begin		// JEgNbNU
        clk <= !clk;
    end

    initial begin
        up      <= 1'b0;	// JEgCl[u
        dn      <= 1'b0;	// 
        rst_N   <= 1'b1;	// ZbgM
      @(negedge clk)
        rst_N   <= 1'b0;	// ZbgMANeBu
      @(negedge clk)
        rst_N   <= 1'b1;	// ZbgMCANeBu
      @(negedge clk)
        up      <= 1'b1;	// JEgAbv
      @(negedge clk)
      @(negedge clk)
        up      <= 1'b0;	// JEg_E
        dn      <= 1'b1;
      @(negedge clk)
      @(negedge clk)
        dn      <= 1'b0;	// JEgXgbv
      @(negedge clk)
      $finish;			// V~[VI
    end
endmodule
