/* --  V~[V  ------------------------------
 *  encoder
 *	(pencodersim.v)		designed by Shinya KIMURA
 * -------------------------------------------------------- */

module pencodersim();
    reg  [3:0] insig;
    wire [2:0] outsig;

  // ݌vΏۂ̃CX^VF[V
    pencoder4 pencoder4 (insig, outsig);

  // ϑM̎w
    initial begin
        $monitor("%t: %b -> %b", $time, insig, outsig);
    end

  // eXgM
    initial begin
        insig <= 4'b0001;
      #10
        insig <= 4'b0010;
      #10
        insig <= 4'b0100;
      #10
        insig <= 4'b1000;
      #10
        insig <= 4'b0000;
      #10
        insig <= 4'b0110;
      #10
        insig <= 4'b1111;
      #10
        insig <= 4'b0101;
      #10
        $finish;
    end

endmodule
