/* --------------------------------------------------------
 *  connection sample (cannot simulate)
 *	(connection.v)		designed by Shinya KIMURA
 * -------------------------------------------------------- */

module test_bench();
    reg  clock, run, stop, write;
    wire done_xyz, ready_abc, wait_abc, wrstb;
    
  // module instansiation
    abc abc(clock, run, wrstb, done_xyz, wait_abc, ready_abc);
    xyz xyz(clock, stop, wait_abc, ready_abc, done_xyz);

  // signal initilization and generation
    initial begin
        clock <= 0;
        run   <= 1;
        stop  <= 0;
        write <= 0;
      #100
        run   <= 0;
        stop  <= 1;
        
    end
    
  // clock oscillation
    always #10 begin
        clock <= ~clock;
    end
    
endmodule

module abc(clk, go, wr, done, wait, ready);
    input  clk, go, wr, done;
    output wait, ready;
    
    
endmodule

module xyz(clk, stp, wait, ready, done);
    input  clk, stp, wait, ready;
    output done;
    
    
endmodule
