/* --------------------------------------------------------
 *  `ifdef sample
 *	(sftreg.v)		designed by Shinya KIMURA
 * -------------------------------------------------------- */

`include "common.v"

`ifdef FPGA
module sftreg(clock, in, out1, out2);
    input  clock, in;
    output out1, out2;
`else
module sftreg(clock, in, out2);
    input  clock, in;
    output out2;
`endif    
    reg    out1, out2;
    
    always @(posedge clock) begin
        out1 <= in;
        out2 <= out1;
    end
endmodule
