/* --  V~[V  ------------------------------
 *  multiplexer (for muxfuncx.v and muxfunc.v)
 *	(muxfuncsim.v)		designed by Shinya KIMURA
 * -------------------------------------------------------- */

module mltplxsim();
    reg  [1:0] sel4;
    reg  [3:0] da0, da1, da2, da3;
    wire [3:0] outa;

  // ݌vΏۂ̃CX^VF[V
    mux4_4 mux4_4(sel4, da0, da1, da2, da3, outa);

  // ϑM̎w
    initial begin
        $display("                        sel  --in data--   selected");
        $display("                TIME:  [10]  0  1  2  3      data  ");
        $display("---------------------------------------------------");
        $monitor("%t: [%b]  %h, %h, %h, %h -> %h", 
                 $time, sel4, da0, da1, da2, da3, outa);
    end
    
  // eXgM
    initial begin
      #10
        sel4 <= 0; da0 <= 9; da1 <= 1; da2 <= 2; da3 <= 3;
      #10
        sel4 <= 0; da0 <= 0; 
      #10
        sel4 <= 1;
      #10
        sel4 <= 2;
      #10
        sel4 <= 3;
      #10
        sel4 <= 3; da3 <= 15;
      #10
        sel4 <= 2'bxx;
      #10
        $finish;
    end
endmodule
