/* --------------------------------------------------------
 *  shift register with blocking assignment version 1
 *	(sftreg_b1.v)		designed by Shinya KIMURA
 * -------------------------------------------------------- */

module sftreg_b1(clock, in, out1, out2);
    input  clock, in;
    output out1, out2;
    
    reg    out1, out2;
    
    always @(posedge clock) begin
        out1 = in;
        out2 = out1;
    end
endmodule
