/* --------------------------------------------------------
 *  shift register with non-blocking assignment
 *	(sftreg_nb.v)		designed by Shinya KIMURA
 * -------------------------------------------------------- */

module sftreg_nb(clock, in, out1, out2);
    input  clock, in;
    output out1, out2;
    
    reg    out1, out2;
    
    always @(posedge clock) begin
        out1 <= in;
        out2 <= out1;
    end
endmodule
