/* --------------------------------------------------------
 *  3-bit counter for slot machine game
 *	(count8.v)		designed by Shinya KIMURA
 * -------------------------------------------------------- */

module count8(clock, reset_N, en, count);
    input        clock, reset_N;
    input        en;
    output [2:0] count;

    reg [2:0] count;

    always @(posedge clock or negedge reset_N) begin
        if(!reset_N) begin
            count <= 3'b000;
        end else if(en) begin
            count <= count + 1;
        end
    end
endmodule
