/* --------------------------------------------------------
 *  character pattern for slot machine game
 *	(pattern.v)		designed by Shinya KIMURA
 * -------------------------------------------------------- */

module pattern(d_dgt, seg_led);
    input  [2:0] d_dgt;
    output [7:0] seg_led;

    assign seg_led = (d_dgt==3'b000) ? 8'b01001001:
                     (d_dgt==3'b001) ? 8'b01110110:
                     (d_dgt==3'b010) ? 8'b01101010:
                     (d_dgt==3'b011) ? 8'b01010101:
                     (d_dgt==3'b100) ? 8'b00011011:
                     (d_dgt==3'b101) ? 8'b01100100:
                     (d_dgt==3'b110) ? 8'b01011101:
                                       8'b01101011;
endmodule
