/* --------------------------------------------------------
 *  start delay for slot machine game 
 *	(timer.v)		designed by Shinya KIMURA
 * -------------------------------------------------------- */

module timer(clock, reset_N, trigger,  time_out);
    input  clock, reset_N;
    input  trigger;
    output time_out;

    reg [2:0] t_count;

    always @(posedge clock or negedge reset_N) begin
        if(!reset_N) begin
            t_count <= 0;
        end else if(trigger) begin
            t_count <= 1;
        end else if(t_count)begin
            t_count <= t_count + 1;
        end
    end

    assign time_out = & t_count;

endmodule
