/* --------------------------------------------------------
 *  three state buffer ()
 *	(tbuf.v)		designed by Shinya KIMURA
 * -------------------------------------------------------- */

module tbuf(sig, sel, data);
    input  sel, data;
    output sig;
    
    assign sig = (sel) ? ((data) ? 1 : ((~data) ? 0 : 1'bX)) : 1'bZ;

endmodule
