/* --------------------------------------------------------
 *  bus structure with three state buffer
 *	(tbufbus.v)		designed by Shinya KIMURA
 * -------------------------------------------------------- */

module tbufbus(bus, sel, data);
    input  [1:0] sel, data;
    output       bus;

    assign bus = (sel[0]) ? ((data[0]) ? 1'b1 
                                       : ((~data[0]) ? 1'b0
                                                     : 1'bX) )
                          : 1'bZ;
                            
    assign bus = (sel[1]) ? ((data[1]) ? 1'b1 
                                       : ((~data[1]) ? 1'b0
                                                     : 1'bX) )
                          : 1'bZ;

endmodule
