
/* --  V~[V  ------------------------------
 *  bus structure with three state butter
 *	(tbufbussim.v)		designed by Shinya KIMURA
 * -------------------------------------------------------- */

module tbufbus_sim();
    wire       bus;
    reg  [1:0] sel, data;
    
  // ݌vΏۂ̃CX^VF[V
    tbufbus tbufbus (bus, sel, data);

  // ϑM̎w
    initial begin
        $display("                TIME:");
        $display("--------------------:----------------------------------");
        $monitor("%t| sel[1:0]=%b, data[1:0]=%b, bus=%b",
                 $stime, sel, data, bus);
    end
    
  // eXgM
    initial begin
        sel  <= 2'b00;
        data <= 2'b00;
      #10
        sel  <= 2'b01;
      #10
        data <= 2'b01;
      #10
        data <= 2'b11;
      #10
        data <= 2'b10;
      #10
        sel  <= 2'b10;
      #10
        data <= 2'b01;
      #10
        data <= 2'bZZ;
      #10
        data <= 2'bXX;
      #10
        data <= 2'bZZ;
        sel  <= 2'b00;
      #10
        data <= 2'bXX;
      #10
        sel  <= 2'bXX;
      #10
        sel  <=2'bZZ;
      #10 
        data <= 2'b10;
        sel  <= 2'b11;
      #10
        $finish;
    end

endmodule
