

module tbufterm_sim();
    reg SEL_A, SEL_B, A, B;
    wire OUT_TERM;

    initial begin
        $monitor("%t: SEL_A=%b, SEL_B=%b, A=%b, B=%b => OUT_TERM=%b",
                  $stime, SEL_A,    SEL_B,    A,    B,      OUT_TERM);
    end


    tbufterm TB(.OUT_TERM(OUT_TERM), .SEL_A(SEL_A), .SEL_B(SEL_B), .A(A), .B(B));

    initial begin
         SEL_A <= 0;
         SEL_B <= 0;
         A     <= 0;
         B     <= 0;
      #100
         SEL_A <= 1;
      #100
         A     <= 1;
      #100
         SEL_A <= 0;
         SEL_B <= 1;
         A     <= 0;
         B     <= 0;
      #100
         B     <= 1;
      #100
         SEL_A <= 1;
         SEL_B <= 1;
         A     <= 0;
         B     <= 0;
      #100
         A     <= 1;
         B     <= 1;
      #100
         A     <= 1;
         B     <= 0;
      #100
         A     <= 0;
         B     <= 1;
      #100
         SEL_A <= 0;
         SEL_B <= 0;
         A     <= 0;
         B     <= 0;
      #100
         $finish;
    end

endmodule
