/* --------------------------------------------------------
 *  output terminal structure with three state buffer
 *	(tbufterm2.v)		designed by Shinya KIMURA
 * -------------------------------------------------------- */

module tbufterm2(OUT_TERM, SEL_A, SEL_B, A, B);
    input  SEL_A, SEL_B, A, B;
    output OUT_TERM;
    wire   bus;

    assign OUT_TERM = (SEL_A | SEL_B) ? bus : 1'bZ;
    assign bus      = SEL_A ? A : 1'bZ;
    assign bus      = SEL_B ? B : 1'bZ;

endmodule
