/* --------------------------------------------------------
 *  character register for Mealy type sequencer
 *	(charreg.v)		designed by Shinya KIMURA
 * -------------------------------------------------------- */

module charreg(clock, charsig, chardata);
    input        clock;
    input  [6:0] charsig;
    output [6:0] chardata;
    
    reg    [6:0] chardata;

  // character detection
  
    always @(posedge clock) begin
         chardata <= charsig;
    end
    
endmodule
