/* --------------------------------------------------------
 *  2-always assignment
 *	(ldcount.v)		designed by Shinya KIMURA
 * -------------------------------------------------------- */

module ld_count(clock, ld, up, datain, countout);
    input        clock, ld, up;
    input  [3:0] datain;
    output [3:0] countout;

    reg    [3:0] countout;

    always @(posedge clock) begin
        if(ld && !up) begin
            countout <= datain;
        end
    end

    always @(posedge clock) begin
        if(!ld && up) begin
            countout <= countout + 1;
        end
    end

endmodule
