/* --  V~[V  ------------------------------
 *  2-always assignment
 *	(ldcountsim.v)		designed by Shinya KIMURA
 * -------------------------------------------------------- */

module ldcountsim();
    reg        clock, ld, up;
    reg  [3:0] datain;
    wire [3:0] countout;

  // ݌vΏۂ̃CX^VF[V
    ld_count ld_count(clock, ld, up, datain, countout);
     
  // ϑM̎w
    initial begin
        $monitor("%t: clock=%b ld=%b up=%b  datain=%b  count=%b",
                 $time, clock, ld, up, datain, countout);
    end

  // eXgM
    initial begin
        clock <= 0;
        ld <= 0; up <= 0; datain <= 0;
      @(negedge clock)
        ld <= 1; up <= 0; datain <= 1;
      @(negedge clock)
        ld <= 0; up <= 0; datain <= 2;
      @(negedge clock)
        ld <= 0; up <= 1; datain <= 4;
      @(negedge clock)
        ld <= 1; up <= 1; datain <= 8;
      @(negedge clock)
        ld <= 1; up <= 0; datain <= 15;
      @(negedge clock)
        $finish;
    end

  // clock generator
    always #10 begin
        clock <= ~clock;
    end

endmodule
