/* --------------------------------------------------------
 *  exor using always @()
 *	(alwaysexor.v)		designed by Shinya KIMURA
 * -------------------------------------------------------- */

module alwaysexor(a, b, out);
    input  a, b;
    output out;
    reg    out;

    always @(a or b) begin
        if(a) begin
            out <= ~b;
        end else begin
            out <= b;
        end
    end

endmodule
