/* --  V~[V  ------------------------------
 *  exor using always @() and latch using always @()
 *	(exor_latchsim.v)	designed by Shinya KIMURA
 * -------------------------------------------------------- */

module exor_latchsim();
    reg  a, b;
    wire exor_out, latch_out;

  // ݌vΏۂ̃CX^VF[V
    alwaysexor alwaysexor (a, b, exor_out);
    latch_inv  latch_inv  (a, b, latch_out);

  // ϑM̎w
    initial begin
        $monitor($time, ": a=%b, b=%b, exor_out=%b, latch_out=%b",
                 a, b, exor_out, latch_out);
    end
    
  // eXgM
    initial begin
        a <= 0; b <= 0;
      #10
        a <= 1; b <= 0;
      #10
        a <= 0; b <= 1;
      #10
        a <= 1; b <= 1;
      #10
        a <= 0; b <= 0;
      #10
        a <= 0; b <= 1;
      #10
        a <= 0; b <= 0;
      #10
        a <= 0; b <= 1;
      #10
        $finish;
    end

endmodule
