/* --------------------------------------------------------
 *  multiple assignment
 *	(multi_sub.v)		designed by Shinya KIMURA
 * -------------------------------------------------------- */

module multi_substitution(wr, in, out);
    input         wr;
    input  [3:0] in;
    output [3:0] out;

    reg [3:0] out;
    
    always @(posedge wr) begin
        out[1:0] <= {in[0], in[1]};
        out[2:1] <= {in[1], in[2]};
        out[3:2] <= {in[2], in[3]};
    end
    
endmodule
