/* --  V~[V  ------------------------------
 *  multiple substitution
 *	(multi_sub_sim.v)		designed by Shinya KIMURA
 * -------------------------------------------------------- */

module multi_sub_test();
    reg        wr;
    reg  [3:0] in;
    wire [3:0] out;

  // ݌vΏۂ̃CX^VF[V
    multi_substitution MS(wr, in, out);

  // ϑM̎w
    initial begin
        $monitor("wr=%b: in=%b, out=%b", wr, in, out);
    end

  // eXgM
    initial begin
        in <= 4'b0000;
      #10
        wr <= 1'b1;
      #10
        wr <= 1'b0;  
        in <= 4'b0001;
      #10
        wr <= 1'b1;
      #10
        wr <= 1'b0;
        in <= 4'b0010;
      #10
        wr <= 1'b1;
      #10
        wr <= 1'b0;
        in <= 4'b0011;
      #10
        wr <= 1'b1;
      #10
        wr <= 1'b0;

        in <= 4'b0100;
      #10
        wr <= 1'b1;
      #10
        wr <= 1'b0;  
        in <= 4'b0101;
      #10
        wr <= 1'b1;
      #10
        wr <= 1'b0;
        in <= 4'b0110;
      #10
        wr <= 1'b1;
      #10
        wr <= 1'b0;
        in <= 4'b0111;
      #10
        wr <= 1'b1;
      #10
        wr <= 1'b0;

        in <= 4'b1000;
      #10
        wr <= 1'b1;
      #10
        wr <= 1'b0;  
        in <= 4'b1001;
      #10
        wr <= 1'b1;
      #10
        wr <= 1'b0;
        in <= 4'b1010;
      #10
        wr <= 1'b1;
      #10
        wr <= 1'b0;
        in <= 4'b1011;
      #10
        wr <= 1'b1;
      #10
        wr <= 1'b0;

        in <= 4'b1100;
      #10
        wr <= 1'b1;
      #10
        wr <= 1'b0;  
        in <= 4'b1101;
      #10
        wr <= 1'b1;
      #10
        wr <= 1'b0;
        in <= 4'b1110;
      #10
        wr <= 1'b1;
      #10
        wr <= 1'b0;
        in <= 4'b1111;
      #10
        wr <= 1'b1;
      #10
        wr <= 1'b0;
      #10
        $finish;
    end

endmodule
