/* --------------------------------------------------------
 *  barrel rotater (shift operation version)
 *	(barrel_sft.v)		designed by Shinya KIMURA
 * -------------------------------------------------------- */

module barrel_rotate16(l_r, sft, in, rslt);
    input         l_r;   // 1=left, 0=right
    input  [ 3:0] sft;   // shift no.
    input  [15:0] in;    // input data
    output [15:0] rslt;  // rotated data

    assign rslt = l_r ? (in<<sft | in>>16-sft):
                        (in>>sft | in<<16-sft);
endmodule
