/* --------------------------------------------------------
 *  barrel rotater (shift operation version)
 *	(barrel_sft.v)		designed by Shinya KIMURA
 * -------------------------------------------------------- */

module barrel_rotate8(l_r, sft, in, rslt);
    input        l_r;   // 1=left, 0=right
    input  [2:0] sft;   // shift no.
    input  [7:0] in;    // input data
    output [7:0] rslt;  // rotated data

    assign rslt = l_r ? (in<<sft | in>>8-sft):
                        (in>>sft | in<<8-sft);
endmodule
