/* --  V~[V  ------------------------------
 *  bcd 7-seg LED decoder (for bcd7seg1.v & bcd7seg2.v)
 *	(bcd7segsim.v)		designed by Shinya KIMURA
 * -------------------------------------------------------- */

module bcd7segsim();
    reg  [4:0] count;
    wire [6:0] seg;
    wire       sega, segb, segc, segd, sege, segf, segg; 

  // Mu
    assign {sega, segb, segc, segd, sege, segf, segg} = seg;	

  // eXgW[̃CX^VF[V
    bcd7seg bcd7seg(count[3:0], seg);

  // eXgM
    initial begin
      // [vEJE^
        for(count=0; count<11; count=count+1) begin
          #10
          // 7-seg X^C\
            if(sega) $write(" --\n"); else $write("\n");
            if(segf) $write("|  ");   else $write("   ");
            if(segb) $write("|\n");   else $write("\n");
            if(segg) $write(" --\n"); else $write("\n");
            if(sege) $write("|  ");   else $write("   ");
            if(segc) $write("|\n");   else $write("\n");
            if(segd) $write(" --\n"); else $write("\n");
            $write("\n");
        end
        $finish;		// V~[VI
    end
endmodule
