/* --------------------------------------------------------
 *  register with 2 write strobe signals
 *	(reg_2wr.v)		designed by Shinya KIMURA
 * -------------------------------------------------------- */

module reg_2wr(wr1, wr2, d, q);
    input  wr1, wr2, d;
    output q;
    reg    q;

    always @(posedge wr1 or posedge wr2) begin
        q <= d;
    end

endmodule
