/* --  V~[V  ------------------------------
 *  clock genetaor (self oscillation)
 *	(clockgensim.v)		designed by Shinya KIMURA
 * -------------------------------------------------------- */

module clockgen();
    reg  clock, clk1, clk2;

  // ϑM̎w
    initial begin
        $monitor($time, ": clock = %b, clk1 = %b, clk2 = %b",
                           clock, clk1, clk2);
    end
    
  // eXgM
    initial begin
        clock <= 0;
        clk1  <= 0;
        clk2  <= 0;
      #200
        $finish;
    end
    
    always #10 begin
        clock <= ~clock;
    end
    
    always begin
      #10
        clk1 <= 1;
      #10
        clk1 <= 0;
      #10
        clk2 <= 1;
      #10
        clk2 <= 0;
    end

endmodule

