/* --  V~[V  ------------------------------
 *  4-bit counter with async. reset
 *     (count4sim.v)		designed by Shinya KIMURA
 * -------------------------------------------------------- */

module count4sim();
    reg        count, rst_N;
    wire [3:0] count_out;

  // ݌vΏۂ̃CX^VF[V
    count4 count4(count, rst_N, count_out);

  // ϑM̎w
    initial begin
        $display("                      count up");
        $display("                      |  reset_N");
        $display("                TIME: |  |  counter output");
        $display("----------------------+--+--+-------------");
        $monitor("%t: %b  %b  %b", $time, count, rst_N, count_out);
    end

  // eXgM
    initial begin
        count   <= 1'b0;	// JEgM
        rst_N   <= 1'b1;	// ZbgM
      #10
        rst_N   <= 1'b0;	// ZbgMANeBu
      #10
        rst_N   <= 1'b1;	// ZbgMCANeBu
      #10			// oߐݒ
        count   <= 1'b1;	// JEgMANeBu
      #10
        count   <= 1'b0;	// JEgMCANeBu
      #10
        count   <= 1'b1;
      #10
        count   <= 1'b0;
      #10
        count   <= 1'b1;
      #10
        count   <= 1'b0;
      #10
        rst_N   <= 1'b0;	// ZbgMANeBu
      #10
        rst_N   <= 1'b1;	// ZbgMCANeBu
      #10
        count   <= 1'b1;
      #10
        count   <= 1'b0;
      #10
      $finish;			// V~[VI
    end
endmodule
