/* --  V~[V  ------------------------------
 *  4-bit counter with enable & async. reset
 *     (count4ensim.v)		designed by Shinya KIMURA
 * -------------------------------------------------------- */

module count4sim();
    reg        count, en, rst_N;
    wire [3:0] count_out;

  // ݌vΏۂ̃CX^VF[V
    count4en count4en(count, en, rst_N, count_out);

  // ϑM̎w
    initial begin
        $display("                      clock");
        $display("                      |  enable");
        $display("                      |  |  reset_N");
        $display("                TIME: |  |  |  counter output");
        $display("----------------------+--+--+--+-------------");
        $monitor($time, ": %b  %b  %b  %b", count, en, rst_N, count_out);
    end

  // eXgM
    initial begin
        count   <= 1'b0;	// JEgM
        en      <= 1'b0;	// JEgCl[u
        rst_N   <= 1'b1;	// ZbgM
      #10
        rst_N   <= 1'b0;	// ZbgMANeBu
      #10
        rst_N   <= 1'b1;	// ZbgMCANeBu
      #10
        en      <= 1'b1;	// JEgCl[u@ANeBu
      #10			// oߐݒ
        count   <= 1'b1;	// JEgMANeBu
      #10
        count   <= 1'b0;	// JEgMCANeBu
      #10
        en      <= 1'b0;	// JEgCl[u@CANeBu
      #10
        count   <= 1'b1;
      #10
        count   <= 1'b0;
      #10
        en      <= 1'b1;	// JEgCl[u@ANeBu
      #10
        count   <= 1'b1;
      #10
        count   <= 1'b0;
      #10
        rst_N   <= 1'b0;	// ZbgMANeBu
      #10
        rst_N   <= 1'b1;	// ZbgMCANeBu
      #10
        count   <= 1'b1;
      #10
        count   <= 1'b0;
      #10
      $finish;			// V~[VI
    end
endmodule