/* --  V~[V  ------------------------------
 *  4-bit up/down counter with async. reset (hard copy)
 *	(udc4hcsim.v)		designed by Shinya KIMURA
 * -------------------------------------------------------- */

module udc4hcsim();
    reg        clk, up, dn, rst_N;
    wire [3:0] count_out;
    
    integer fptr;	// file pointer

  // ݌vΏۂ̃CX^VF[V
    udcount4 udcount4(clk, up, dn, rst_N, count_out);

  // ϑM̎w
    initial begin
        fptr = $fopen("udcount4.log");
    
        $fdisplay(fptr, "                      clock");
        $fdisplay(fptr, "                      |  up");
        $fdisplay(fptr, "                      |  |  down");
        $fdisplay(fptr, "                      |  |  |  reset_N");
        $fdisplay(fptr, "                TIME: |  |  |  |  counter output");
        $fdisplay(fptr, "----------------------+--+--+--+--+----------");
        $fmonitor(fptr, $time, ": %b  %b  %b  %b  %b",
                                  clk, up, dn, rst_N, count_out);
    end

  // eXgM
    initial begin		// JEgNbNM
        clk <= 0;
    end

    always #10 begin		// JEgNbNU
        clk <= !clk;
    end

    initial begin
        up      <= 1'b0;	// JEgCl[u
        dn      <= 1'b0;	// 
        rst_N   <= 1'b1;	// ZbgM
      @(negedge clk)
        rst_N   <= 1'b0;	// ZbgMANeBu
      @(negedge clk)
        rst_N   <= 1'b1;	// ZbgMCANeBu
      @(negedge clk)
        up      <= 1'b1;	// JEgAbv
      @(negedge clk)
      @(negedge clk)
      @(negedge clk)
      @(negedge clk)
      @(negedge clk)
        up      <= 1'b0;	// JEg_E
        dn      <= 1'b1;
      @(negedge clk)
      @(negedge clk)
      @(negedge clk)
        dn      <= 1'b0;	// JEgXgbv
      @(negedge clk)
      @(negedge clk)
        up      <= 1'b1;	// AbvE_E
        dn      <= 1'b1;
      @(negedge clk)
      @(negedge clk)
        rst_N   <= 1'b0;	// Zbg
      @(negedge clk)
        rst_N   <= 1'b1;
      @(negedge clk)
      @(negedge clk)
        up      <= 1'b0;	// JEg_E
      @(negedge clk)
      @(negedge clk)
      @(negedge clk)
      @(negedge clk)
        up      <= 1'b1;	// JEgAbv
        dn      <= 1'b0;
      @(negedge clk)
      @(negedge clk)
      @(negedge clk)
      @(negedge clk)
      @(negedge clk)
      $fclose(fptr);
      $finish;			// V~[VI
    end
endmodule
