/* --------------------------------------------------------
 *  encoder
 *	(encoder.v)		designed by Shinya KIMURA
 * -------------------------------------------------------- */

module encoder4(insig, outsig);
    input  [3:0] insig;
    output [2:0] outsig;
    
    assign outsig = encoder(insig);
    
    function [2:0] encoder;
        input [3:0] data;
        
        begin
            case (data)
              4'b0001: encoder = 3'b000;
              4'b0010: encoder = 3'b001;
              4'b0100: encoder = 3'b010;
              4'b1000: encoder = 3'b011;
              default: encoder = 3'b100;
            endcase
        end
    endfunction
    
endmodule
