/* --------------------------------------------------------
 *  priority encoder
 *	(pencoder.v)		designed by Shinya KIMURA
 * -------------------------------------------------------- */

module pencoder4(insig, outsig);
    input  [3:0] insig;
    output [2:0] outsig;
    
    assign outsig = pencoder(insig);
    
    function [2:0] pencoder;
        input [3:0] data;
        
        begin
            casex (data)
              4'b1xxx: pencoder = 3'b011;
              4'b01xx: pencoder = 3'b010;
              4'b001x: pencoder = 3'b001;
              4'b0001: pencoder = 3'b000;
              default: pencoder = 3'b100;
            endcase
        end
    endfunction
    
endmodule
