/* --  V~[V  ------------------------------
 *  test bench for while-loop
 *	(loopsim.v)		designed by Shinya KIMURA
 * -------------------------------------------------------- */

module parity_while_sim();
    reg  [7:0] data;
    wire       odd_parity;

    initial begin
        $monitor("%t: %b -> %b", $stime, data, odd_parity);
        $display("                time:     data -> odd_parity");
        $display("--------------------------------------------");
    end

    parity_while parity(data, odd_parity);

    initial begin
        data = 8'b0001_0000;
      #10
        data = 8'b0100_0001;
      #10
        data = 8'b0000_0111;
      #10
        data = 8'b0101_0101;
      #10
        data = 8'b0000_0000;
      #10
        data = 8'b1111_1111;
      #10
        data = 8'b1111_1110;
      #10
        $finish;
    end

endmodule




