/* --  V~[V  ------------------------------
 *  `ifdef sample
 *	(sftreg_sim.v)		designed by Shinya KIMURA
 * -------------------------------------------------------- */

`include "common.v"

module sfterg_test();
    reg  clock, in;
    wire out1, out2;

`ifdef FPGA
    sftreg sftreg (clock, in, out1, out2);
`else
    sftreg sftreg (clock, in, out2);
`endif

`ifdef FPGA
    initial begin
        $monitor("%4t : clock=%b in=%b |  out1=%b out2=%b",
                 $time, clock, in, out1, out2);
    end
`else
    initial begin
        $monitor("%4t : clock=%b in=%b | out2=%b",
                 $time, clock, in, out2);
    end
`endif
   
    initial begin
        in = 0; clock = 0; // ݒ
      #10
        in = 0; clock = 1;
      #10
        in = 1; clock = 0;
      #10
        in = 1; clock = 1;
      #10
        in = 0; clock = 0;
      #10
        in = 0; clock = 1;
      #10
        in = 1; clock = 0;
      #10
        in = 1; clock = 1;
      #10
        in = 0; clock = 0;
      #10
        in = 0; clock = 1;
      #10
        $finish;
    end
endmodule
