/* --------------------------------------------------------
 *  `include sample
 *	(include.v)		designed by Shinya KIMURA
 * -------------------------------------------------------- */

`include "common.v"

module register(wr, we, data_in, data_out);
    input                   wr, we;
    input  [`DATA_WIDTH-1:0] data_in;
    output [`DATA_WIDTH-1:0] data_out;
    
    reg    [`DATA_WIDTH-1:0] data_out;
    
    always @(posedge wr) begin
        if(we) begin
            data_out <= data_in;
        end
    end
    
endmodule
