/* --  V~[V  ------------------------------
 *  include sample
 *	(includesim.v)		designed by Shinya KIMURA
 * -------------------------------------------------------- */

`include "common.v"

module definesim();
    wire [`DATA_WIDTH-1:0] outsig;
    reg                    wr, we;
    reg  [`DATA_WIDTH-1:0] insig;
    
  // ݌vΏۂ̃CX^VF[V
    register register (wr, we, insig, outsig);

  // ϑM̎w
    initial begin
        $monitor("%4t: wr=%b, we=%b, insig=%b, outsig=%b",
                  $time, wr, we, insig, outsig);
    end
    
  // eXgM
    initial begin
        wr <= 0; we <= 0; insig <=8'b00000000;
      #10
        we <= 1;
      #10
        wr <= 1;
      #10
        wr <= 0;
      #10
        insig <=8'b01101001;
      #10
        wr <= 1;
      #10
        wr <= 0;
      #10
        insig <=8'b11000101;
      #10
        wr <= 1;
      #10
        wr <= 0;
      #10
        insig <=8'b11110000;
      #10
        wr <= 1;
      #10
        wr <= 0;
      #10
        insig <=8'b10100101;
      #10
        wr <= 1;
      #10
        wr <= 0;
      #10
        $finish;
    end

endmodule
