/* --  V~[V  ------------------------------
 *  parameter sample
 *	(paramsim.v)		designed by Shinya KIMURA
 * -------------------------------------------------------- */

module paramsim();
    wire [15:0] outsig;
    reg         wr, we;
    reg  [15:0] insig;
    
  // ݌vΏۂ̃CX^VF[V
    register #(16) register (wr, we, insig, outsig);

  // ϑM̎w
    initial begin
        $monitor("%4t: wr=%b, we=%b, insig=%h, outsig=%h",
                  $time, wr, we, insig, outsig);
    end
    
  // eXgM
    initial begin
        wr <= 0; we <= 0; insig <=16'h0000;
      #10
        we <= 1;
      #10
        wr <= 1;
      #10
        wr <= 0;
      #10
        insig <=16'h1234;
      #10
        wr <= 1;
      #10
        wr <= 0;
      #10
        insig <=16'hABCD;
      #10
        wr <= 1;
      #10
        wr <= 0;
      #10
        insig <=16'h89EF;
      #10
        wr <= 1;
      #10
        wr <= 0;
      #10
        insig <=16'hFE21;
      #10
        wr <= 1;
      #10
        wr <= 0;
      #10
        $finish;
    end

endmodule
