/*  V~[V
 *  mutiplexer
 *      (mltplxsim.v)    (C)2000 Shinya KIMURA
 */

module mltplxsim();
    reg        sel2, d0, d1;
    reg  [1:0] sel4;
    reg  [3:0] da0, da1, da2, da3;
    wire       out;
    wire [3:0] outa;

  // ݌vΏۂ̃CX^VF[V
    mux1_2 mux1_2(sel2, d0, d1, out);
    mux4_4 mux4_4(sel4, da0, da1, da2, da3, outa);

  // ϑM̎w
    initial begin
        $monitor($time, "| %b: %b, %b -> %b | %b: %h, %h, %h, %h -> %h", 
                 sel2, d0, d1, out, sel4, da0, da1, da2, da3, outa);
    end
    
  // eXgM
    initial begin
      #10
      // test for 1-bit 2->1 multiplexer
        sel2 <= 0; d0 <= 0; d1 <= 1;
      #10
        sel2 <= 1; d0 <= 0; d1 <= 1;
      #10
        sel2 <= 1; d0 <= 1; d1 <= 0;
      #10
        sel2 <= 0; d0 <= 1; d1 <= 0;
      #10
        sel2 <= 1'bx;
      #10
        sel2 <= 1;
      #10
     
      // test for 4-bit 4->1 multiplexer
      #10
        sel4 <= 0; da0 <= 9; da1 <= 1; da2 <= 2; da3 <= 3;
      #10
        sel4 <= 0; da0 <= 0; 
      #10
        sel4 <= 1;
      #10
        sel4 <= 2;
      #10
        sel4 <= 3;
      #10
        sel4 <= 3; da3 <= 15;
      #10
        sel4 <= 2'bxx;
      #10
        $finish;
    end
endmodule

