/* --------------------------------------------------------
 *  shift register with blocking assignment version 2
 *	(sftreg_b2.v)		designed by Shinya KIMURA
 * -------------------------------------------------------- */

module sftreg_b2(clock, in, out1, out2);
    input  clock, in;
    output out1, out2;
    
    reg    out1, out2;
    
    always @(posedge clock) begin
        out2 = out1;
        out1 = in;
    end
endmodule
