/* --  V~[V  ------------------------------
 *  test bench for signal controller
 *	(signal_sim.v)		designed by Shinya KIMURA
 * -------------------------------------------------------- */
 
 module signalsim();
    reg        clk, rst_N;
    wire [2:0] gyr0, gyr1;
 
  // ݌vΏۂ̃CX^VF[V
    signal signal(clk, rst_N, gyr1, gyr0);

  // ϑM̎w
    initial begin
        $display("                      c r |        ");
        $display("                      l s |        ");
        $display("                      o t |        ");
        $display("                      c | |  1   0 ") ;
        $display("                TIME: k N | GYR GYR");
        $display("----------------------+-+-+---------");
        $monitor("%t: %b %b | %b %b",
                  $time, clk, rst_N, gyr1, gyr0);
    end

  // M
    initial begin
        clk   <= 1'b0;
        rst_N <= 1'b0;
    end

  // NbNU
    always #100 begin
        clk <= !clk;
    end

  // eXgM
    initial begin
      #500
        rst_N <= 1'b1;
      #10000
      $finish;			// V~[VI
    end
endmodule
