/* --  V~[V  ------------------------------
 *  setepping motor controller (2 module version) test bench
 *	(stepmt2sim.v)		designed by Shinya KIMURA
 * -------------------------------------------------------- */
 
 module stepmt2sim();
    reg        clk, rst_N;
    reg        start, right;
    reg  [1:0] speed;
    wire [3:0] state;

  // ݌vΏۂ̃CX^VF[V
    stepmtsw stepmtsw(clk, rst_N, start, right, speed, state);

  // ϑM̎w
    initial begin
        $display("                      c r   s r  s      s      ");
        $display("                      l e   t i  p      t    w ");
        $display("                      o s   a g  e      a    a ");
        $display("                      c e   r h  e      t    i ");
        $display("                TIME: k t   t t  d      e    t ");
        $display(" -------------------+-----+--------+------+----");
        $monitor("%t: %b %b | %b %b %b | %b | %b",
                  $time, clk, rst_N, start, right, speed, state,
                  stepmtsw.wait_state);
    end

  // M
    initial begin
        clk   <= 1'b0;
        rst_N <= 1'b0;
      #500
        rst_N <= 1'b1;
      #20000
        $finish; 
    end

  // NbNU
    always #100 begin
        clk <= !clk;
    end

  // eXgM
    initial begin
        start = 0; right = 0; speed = 1;
      #1000 
        start = 1; right = 1; speed = 0;
      #1000 
        start = 1; right = 0; speed = 1;
      #2000 
        start = 1; right = 0; speed = 2;
      #3000 
        start = 1; right = 1; speed = 3;
      #4000 
        start = 0; right = 0; speed = 3;
      #1000 
        start = 1; right = 1; speed = 1;
      $finish;			// V~[VI
    end
endmodule
