/* --  V~[V  ------------------------------
 *  3 state buffer test bench
 *	(tbufsim.v)		designed by Shinya KIMURA
 * -------------------------------------------------------- */

module tbuf_sim();
    wire sig1, sig2;
    reg  sel, data;

  // ݌vΏۂ̃CX^VF[V
    tbufsmp tbuf1 (sig1, sel, data);
    tbuf    tbuf2 (sig2, sel, data);

  // ϑM̎w
    initial begin
        $monitor("%4t| sig1=%b : (%b) ? %b : Z    | sig2=%b : (%b) ? %b : Z ",
                 $time, sig1, sel, data, sig2, sel, data);
    end

  // eXgM
    initial begin
        sel  <= 0;
        data <= 1;
      #10
        sel  <= 1;
      #10
        data <= 0;
      #10
        data <= 1'bz;
      #10
        data <= 1'bx;
      #10
        $finish;
    end
endmodule;
